Package org.drinkless.tdlib

# Class TdApi.LinkPreviewTypeTextCompositionStyle

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LinkPreviewType
org.drinkless.tdlib.TdApi.LinkPreviewTypeTextCompositionStyle

Enclosing class:
  `TdApi`

public static class TdApi.LinkPreviewTypeTextCompositionStyle extends TdApi.LinkPreviewType
The link is a link to a text composition style.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LinkPreviewType

  `TdApi.LinkPreviewType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `customEmojiId`
  Identifier of the custom emoji corresponding to the style; 0 if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPreviewTypeTextCompositionStyle()`
  The link is a link to a text composition style.
  `LinkPreviewTypeTextCompositionStyle(long customEmojiId)`
  The link is a link to a text composition style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### customEmojiId

    public long customEmojiId
    Identifier of the custom emoji corresponding to the style; 0 if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LinkPreviewTypeTextCompositionStyle

    public LinkPreviewTypeTextCompositionStyle()
    The link is a link to a text composition style.

  - ### LinkPreviewTypeTextCompositionStyle

    public LinkPreviewTypeTextCompositionStyle(long customEmojiId)
    The link is a link to a text composition style.
    Parameters:
      `customEmojiId` - Identifier of the custom emoji corresponding to the style; 0 if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LinkPreviewType`
    Returns:
      this.CONSTRUCTOR